# SEPA class

SEPA

Inheritance
  - Object
  - GenericDocumentWrapper
  - SEPA

## Constructors

SEPA(GenericDocument document)

## Properties

amount → TextFieldWrapper?
  Amount
  no setter
characterSet → TextFieldWrapper
  Character Set
  no setter
document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
identification → TextFieldWrapper
  Identification
  no setter
information → TextFieldWrapper?
  Information
  no setter
purpose → TextFieldWrapper?
  Amount
  no setter
receiverBIC → TextFieldWrapper
  Receiver BIC
  no setter
receiverIBAN → TextFieldWrapper
  Receiver IBAN
  no setter
receiverName → TextFieldWrapper
  Receiver Name
  no setter
remittance → TextFieldWrapper?
  Remittance
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
serviceTag → TextFieldWrapper
  Service Tag
  no setter
version → TextFieldWrapper
  Version
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.